.table-container {
  display: flex;
  flex-direction: column;
}

.customer-listing-container {
  .customer-listing__actions {
    position: relative;
    padding: 10px 0;
  }
  .merge-customer-btn.btn.btn-primary {
    margin: 0 15px 0 0;
  }
}

.customer-user__listing-actions,
.customer-listing__actions {
  background: white;
  padding: 10px 10px 10px 0;

  .field-section {
    div.row.field__label,
    .field__error {
      display: none;
    }
  }

  label {
    color: #908f8f;
    padding: 10px;
    padding-right: 20px;
    border: 1px solid #eee;
  }
}

.customer-user {
  h5 {
    margin: 0;
    font-size: var(--font-xl);
    font-weight: 600;
    font-family: var(--font-first);
  }

  .customer-user__details {
    display: flex;
    flex-direction: column;
    width: 100%;
    background: white;
    border-radius: 2px;
    margin-bottom: 15px;

    .customer-user__details-header {
      display: flex;
      flex-direction: row;
      justify-content: space-between;
      align-items: center;
      border-bottom: 1px solid #eee;
      padding: 15px;

      .edit-img-btn {
        &:hover::before,
        &:active::before,
        &:focus::before {
          filter: invert(0.75);
        }
      }
      .login {
        display: flex;

        p {
          margin: 0 0 0 10px;
          color: #9a9a9a;
        }
      }

      .details-right {
        gap: 10px;
        display: flex;
      }

      button.square-btn.btn-primary {
        min-width: unset;
        padding: 6px;
        padding-left: 28px;
        position: relative;
        font-size: var(--font-s);
        height: 25px;
        &::before {
          content: " ";
          display: block;
          background: url(/assets/icons/edit.png) center no-repeat;
          background-size: 12px;
          width: 12px;
          height: 12px;
          position: absolute;
          left: 9px;
          top: 6px;
        }
      }
    }

    .customer-user__details-body {
      display: flex;
      flex-direction: row;
      flex-wrap: wrap;

      .customer-user__details-field {
        display: flex;
        flex-direction: column;
        width: 25%;
        padding: 20px;

        label {
          font-size: var(--font-s);

          &:first-child {
            margin-bottom: 5px;
            color: #9a9a9a;
          }
        }
      }
    }
  }

  .customer-user__listing {
    position: relative;

    .customer-user__listing-header {
      display: flex;
      flex-direction: row;
      justify-content: space-between;
      align-items: center;
      background: white;
      border-bottom: 1px solid #eee;
      padding: 15px 20px;
    }

    .customer-user__listing-loader {
      position: absolute;
      left: 50%;
      top: 18em;
      transform: translate(-50%, -50%);

      img {
        z-index: 999;
      }
    }

    .customer-user__listing-actions {
      background: white;
      //padding: 20px;

      label {
        color: #908f8f;
        padding: 10px;
        padding-right: 20px;
        border: 1px solid #eee;
      }
    }
    .activate-btn {
      width: 115px;
      height: 20px;
      min-width: unset;
      padding: 0px;
    }

    .email__spinner {
      img {
        height: 38px;
      }
    }
  }

  .disable-div {
    opacity: 0.5;
  }
}

.user-modal__customer-access-form {
  .modal-body {
    flex-direction: column;
  }
}

.customer-renew {
  .customer-renew__actions {
    display: flex;
    justify-content: flex-end;

    button {
      &:nth-child(2) {
        margin-left: 20px;
      }
    }
  }
}

.disabled-status-edit {
  cursor: not-allowed !important;
  .radio-btn input[type="radio"] {
    cursor: not-allowed !important;
  }
}

.enable-disable-btn {
  font-size: var(--font-xs);
  min-width: unset;
  width: 60px !important;
  padding: 3px 0px;
  margin: 0;
}

.listing-icon img {
  width: 18px;
  height: 18px;
}

.user-modal__customer-access-form {
  label.field__label-label {
    font-weight: 600 !important;
  }
}

.customer-user__details-field {
  display: flex;
  flex-direction: column;
  width: 25%;
  padding: 20px;

  label {
    font-size: var(--font-s);

    &:first-child {
      margin-bottom: 5px;
      color: #9a9a9a;
    }
  }
}

.merge-customer-modal {
  .modal-content {
    min-width: 800px;
  }
  .modal-body {
    padding-left: 0;
    padding-right: 0;
    .customer-merge-modal-body {
      width: 100%;
      display: flex;
      flex-direction: column;
      gap: 15px;
      .customer-merge-note {
        color: var(--primary);
      }
      .merge-cust-selection {
        gap: 15px;
        display: flex;
        .field-section {
          padding: 0;
          .tootip-tail:after {
            top: 12px;
          }
        }
      }
    }
  }
}
